package ravencapture

import (
	"testing"

	"github.com/stretchr/testify/assert"
)

func TestExtractVar(t *testing.T) {
	var data = map[interface{}]interface{}{
		"key1": "value",
		"key2": map[interface{}]interface{}{
			"subkey21": "21",
		},
	}
	assert.Equal(t, nil, extractVar(data, "wrong"))
	assert.Equal(t, "", extractVarString(data, "wrong"))
	assert.Equal(t, "", extractVarString(data, "key2"))
	assert.Equal(t, "value", extractVarString(data, "key1"))
	assert.Equal(t, "21", extractVarString(data, "key2", "subkey21"))
}
